Bug 2593 - Check if the UA32_RELOCATION check is present in Solaris 8
: Check if the UA32_RELOCATION check is present in Solaris 8
Status: RESOLVED FIXED
: Pike
Installation
: 7.5
: sparc Solaris
: P3 (normal) normal
: ---
Assigned To:
:
:
: 2589
  Show dependency treegraph
 
Reported: 2001-12-06 11:00 CET by
Modified: 2002-04-06 14:39 CET (History)
Scrum Prio:
In scrum?: ---
Story included in sprints:
Unplanned in sprints:


Attachments


Description From 2001-12-06 11:00:16 CET
The "your gcc generates UA32_RELOCATIONS" configure test is a major
showstopper for Solaris/Sparc users. You have to be very dedicated to
getting a Pike to acctually change to source to gcc and recompile it before
continuing. Is this bug still present in Sol8, and if so, how does it
manifest and can it be worked around in some other way?
------- Comment #1 From 2001-12-06 11:42:19 CET -------
Fixed with option --with-force-ua32 in Pike 7.3.
------- Comment #2 From 2001-12-07 18:01:34 CET -------
Thanks. Some more documentation on this would be good. I can do the
documentation, but I don't have the ramifications clear. What did break in 2.7,
and how do I check if it is still present in 2.8? Do you have any bug numbers
at
Sun about this? Hours of work is no problem, I'll get those back within a year
in less hassle with new Solaris installations and administrators anyway.
------- Comment #3 From 2001-12-07 18:17:10 CET -------
The problem was that ld.so.1 on 64bit Solaris 7 didn't relocate the msb of
R_SPARC_UA32 relocations in 32bit binaries.
------- Comment #4 From 2001-12-10 12:05:29 CET -------
Ah. Thanks. I'll have a look at that.

Note

You need to log in before you can comment on or make changes to this bug.